# Hikou no mizu 0.8.91

## Description

Hikou no mizu is a libre software anime-inspired fighting game. Its dependencies include:
-SDL2, SDL2_Image
-OpenGL (1.1 +)
-Freetype2
-OpenAL, libogg, libvorbis, libvorbisfile
-TinyXML
-libpthread

Thanks to the contributors of all these libraries!

The characters fight using natural powers e.g. water or lightning. 
All the graphics are free (various free software licences) and drawn with a vectorized style.

## License

See COPYING

### Project website

Main website : https://hikounomizu.org
Wiki (Dokuwiki) : https://wiki.hnm.tuxfamily.org

### E-mail adress

duncan@hikounomizu.org

## Changelog

**Hikou no mizu 0.8.91**

- Initial throwable weapons support (5 wooden shurikens per player)
- Takino's crouched hit animation
- Fixed window creation when multisampling is not supported
- Fixed some physics related issues
- Clarified and centralized license description in COPYING
- Introduction of a data building mechanism from data sources (backported to 0.8.9)

## Installation

Hikou no mizu uses CMake as a building system.


### Data build

In order to function properly, Hikou no mizu needs to access its 'data/' folder.
Hikou no mizu is likely to come with a pre-built 'data/' folder in its root directory.
If not, or if you wish to rebuild the data from source, you may use the 'datasrc/' directory
as follows:

$ mkdir databuild
$ cd databuild
$ cmake ..
$ make data

Note: Before proceeding to the installation, do ensure that
the data/ folder was generated.


### Source code build & installation

To build and install the project, you may type,
from the same directory where this README is located:

$ mkdir build
$ cd build
$ cmake .. -DCMAKE_INSTALL_PREFIX=prefix/path/to/installation -DCMAKE_INSTALL_DATADIR=where/data/should/be/installed
$ make
$ make install

Example for a unix system-wide installation:
$ cmake .. -DCMAKE_INSTALL_PREFIX=/usr
$ make -j4
$ make install
$ hikounomizu   # Launch the game

Example for a standalone installation: (installation of the executable in the project
                                        directory, with a relative reference path to data)
$ cmake .. -DHNM_STANDALONE=1
$ make -j4
$ make install
$ cd ..
$ ./hikounomizu # Launch the game locally

Example for a debug build to run the game locally without installation:
                                    (will break if the data dir is moved)
$ cmake .. -DHNM_NOINSTALL=1
$ make -j4
$ ./hikounomizu # Launch the game locally
